GROUPDEL(8)

NAZWA
groupdel - delete a group

STRESZCZENIE

groupdel [options] GROUP

OPIS

The groupdel command modifies the system account files, deleting all entries that refer to GROUP. The named group must exist.

OPCJE

The options which apply to the groupdel command are:

-f, --force
    This option forces the removal of the group, even if there's some user having the group as the primary one.

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-P, --prefix PREFIX_DIR
    Apply changes in the PREFIX_DIR directory and use the configuration files from the PREFIX_DIR directory. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

OSTRZEŻENIA

You may not remove the primary group of any existing user. You must remove the user before you remove the group.

You should manually check all file systems to ensure that no files remain owned by this group.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

PLIKI

/etc/group
    Informacje o grupach użytkowników.

/etc/gshadow
    Informacje chronione o grupach użytkowników.

KOD ZAKOŃCZENIA

The groupdel command exits with the following values:

0
    success

2
    invalid command syntax

6
    specified group doesn't exist

8
    can't remove user's primary group

10
    can't update group file

ZOBACZ TAKŻE

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupmod(8), useradd(8), userdel(8), usermod(8).